﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


namespace WindowsFormsApp2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {

            ////////////////////////////////////////////////////
            ///


			
MFSDK sdk;
sdk = new MFSDK();
sdk.Iniciales.Add("MODOINI", "DIVISOR");
sdk.Iniciales.Add("RESPUESTA_UTF8", "SI");

		
sdk.Iniciales.Add("version_cfdi", "4.0");
sdk.Iniciales.Add("cfdi", "c:/sdk2/timbrados/ejemplo_factura_sin_impuestos4.xml");
sdk.Iniciales.Add("xml_debug", "c:/sdk2/timbrados/ejemplo_factura_sin_impuestos4_debug.xml");



//#NODO [conceptos]
MFObject conceptos = new MFObject("conceptos");



//#NODO [conceptos/]
MFObject conceptos_ = new MFObject("");
conceptos_["ObjetoImp"] = "01";
conceptos_["cantidad"] = "1.00";
conceptos_["valorunitario"] = "100.00";
conceptos_["importe"] = "100.00";
conceptos_["ClaveProdServ"] = "01010101";
conceptos_["ClaveUnidad"] = "C81";
conceptos_["ID"] = "COD";
conceptos_["descripcion"] = "PRODUCTO  ÃÂ± ÃÂ ÃÂ¡ ÃÂ© ÃÂ­ ÃÂ³ ÃÂº &";
conceptos_["unidad"] = "PZ";



//#NODO [impuestos]
MFObject impuestos = new MFObject("impuestos");
impuestos["TotalImpuestosTrasladados"] = "0.00";



//#NODO [impuestos/translados]
MFObject impuestos_translados = new MFObject("translados");



//#NODO [impuestos/translados/0]
MFObject impuestos_translados_0 = new MFObject("0");
impuestos_translados_0["importe"] = "0.00";
impuestos_translados_0["tasa"] = "0.160000";
impuestos_translados_0["impuesto"] = "003";
impuestos_translados_0["TipoFactor"] = "Tasa";
impuestos_translados.AgregaSubnodo(impuestos_translados_0);



//#NODO [emisor]
MFObject emisor = new MFObject("emisor");
emisor["RegimenFiscal"] = "601";
emisor["rfc"] = "EKU9003173C9";
emisor["nombre"] = "ESCUELA KEMPER URGATE";



//#NODO [conf]
MFObject conf = new MFObject("conf");
conf["pass"] = "12345678a";
conf["cer"] = "c:/sdk2/certificados/EKU9003173C9.cer.pem";
conf["key"] = "c:/sdk2/certificados/EKU9003173C9.key.pem";



//#NODO [PAC]
MFObject PAC = new MFObject("PAC");
PAC["usuario"] = "DEMO700101XXX";
PAC["pass"] = "DEMO700101XXX";
PAC["produccion"] = "NO";



//#NODO [receptor]
MFObject receptor = new MFObject("receptor");
receptor["RegimenFiscalReceptor"] = "603";
receptor["DomicilioFiscalReceptor"] = "26015";
receptor["rfc"] = "EKU9003173C9";
receptor["nombre"] = "ESCUELA KEMPER URGATE";
receptor["UsoCFDI"] = "S01";



//#NODO [factura]
MFObject factura = new MFObject("factura");
factura["descuento"] = "0.00";
factura["forma_pago"] = "01";
factura["tipocambio"] = "1";
factura["Exportacion"] = "01";
factura["folio"] = "100";
factura["subtotal"] = "100.00";
factura["total"] = "100.00";
factura["LugarExpedicion"] = "45079";
factura["serie"] = "A";
factura["fecha_expedicion"] = "AUTO";
factura["condicionesDePago"] = "CONDICIONES";
factura["tipocomprobante"] = "I";
factura["moneda"] = "MXN";
factura["metodo_pago"] = "PUE";


//#Agrega Nodos
sdk.AgregaObjeto(PAC);
sdk.AgregaObjeto(conf);
sdk.AgregaObjeto(factura);
sdk.AgregaObjeto(emisor);
sdk.AgregaObjeto(receptor);
conceptos.AgregaSubnodo(conceptos_);
sdk.AgregaObjeto(conceptos);
impuestos.AgregaSubnodo(impuestos_translados);
sdk.AgregaObjeto(impuestos);

	
//#Ejecuta KIT
SDKRespuesta respuesta = sdk.Timbrar(@"C:\sdk2\timbrar32.bat", @"C:\sdk2\timbrados\", "factura", false);
//Muestra el archivo ini
//textBox1.Text = sdk.Ini;
//Muestra la respuesta de timbrado
//textBox2.Text = respuesta.RespuestaOriginalSDK;
// Se notifica que el SDK se ejecutó
string mensaje = string.Format("Código: {0}\r\nMensaje: {1}", respuesta.Codigo_MF_Numero, respuesta.Codigo_MF_Texto);
MessageBox.Show(this, mensaje, Application.ProductName, MessageBoxButtons.OK, respuesta.Codigo_MF_Numero == "0" ? MessageBoxIcon.Information : MessageBoxIcon.Warning);
			
	



            /////////////////////////////////////////////////////
            ///


        }
    }
}
